# eos_lacp_interfaces – Manage Link Aggregation Control Protocol (LACP) attributes of interfaces on Arista EOS devices

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages Link Aggregation Control Protocol (LACP) attributes of interfaces on Arista EOS devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config list / elements=dictionary |  | A dictionary of LACP interfaces options.
| name string |  | Full name of the interface (i.e. Ethernet1).
| port_priority integer |  | LACP port priority for the interface. Range 1-65535.

rate
string

Choices:
- fast
- normal

Rate at which PDUs are sent by LACP. At fast rate LACP is transmitted once every 1 second. At normal rate LACP is transmitted every 30 seconds after the link is bundled.

state
string

Choices:
- merged ←
- replaced
- overridden
- deleted

The state of the configuration after module completion.

## Notes

Note

- Tested against Arista EOS 4.20.10M

- This module works with connection `network_cli`. See the EOS Platform Options.

## Examples

    # Using merged
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp port-priority 30
    # interface Ethernet2
    #    lacp rate fast

    - name: Merge provided configuration with device configuration
      eos_lacp_interfaces:
        config:
          - name: Ethernet1
            rate: fast
          - name: Ethernet2
            rate: normal
        state: merged

    #
    # -----------
    # After state
    # -----------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp port-priority 30
    #    lacp rate fast
    # interface Ethernet2

    # Using replaced
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp port-priority 30
    # interface Ethernet2
    #    lacp rate fast

    - name: Replace existing LACP configuration of specified interfaces with provided configuration
      eos_lacp_interfaces:
        config:
          - name: Ethernet1
            rate: fast
        state: replaced

    #
    # -----------
    # After state
    # -----------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp rate fast
    # interface Ethernet2
    #    lacp rate fast

    # Using overridden
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp port-priority 30
    # interface Ethernet2
    #    lacp rate fast

    - name: Override the LACP configuration of all the interfaces with provided configuration
      eos_lacp_interfaces:
        config:
          - name: Ethernet1
            rate: fast
        state: overridden

    #
    # -----------
    # After state
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp rate fast
    # interface Ethernet2

    # Using deleted
    #
    #
    # ------------
    # Before state
    # ------------
    #
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    #    lacp port-priority 30
    # interface Ethernet2
    #    lacp rate fast

    - name: Delete LACP attributes of given interfaces (or all interfaces if none specified).
      eos_lacp_interfaces:
        state: deleted

    #
    # -----------
    # After state
    # -----------
    #
    # veos#show run | section ^interface
    # interface Ethernet1
    # interface Ethernet2

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after list | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before list | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
commands list | always | The set of commands pushed to the remote device. Sample: ['interface Ethernet1', 'lacp rate fast']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nathaniel Case (@Qalthos)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.